//////////////////////////////////////////////////////////
// pg-minify: https://github.com/vitaly-t/pg-minify
//////////////////////////////////////////////////////////

declare module 'pg-minify' {

    namespace pgMinify {

        export type minifyOptions = {
            compress?: boolean;
        };

        export interface IErrorPosition {
            line: number,
            column: number
        }

        export enum parsingErrorCode {
            unclosedMLC = 1,    // Unclosed multi-line comment.
            unclosedText = 2,   // Unclosed text block.
            unclosedQI = 3,     // Unclosed quoted identifier.
            multiLineQI = 4     // Multi-line quoted identifiers are not supported.
        }

        export class SQLParsingError implements Error {
            name: string;
            message: string;
            stack: string;
            error: string;
            code: parsingErrorCode;
            position: IErrorPosition;
        }

    }

    function pgMinify(sql: string, options?: pgMinify.minifyOptions): string;

    export = pgMinify;
}
